package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "t_message_type")
public class CarMessageType {
    /**
     * 报文
     */
    @TableId(value = "message_type_id",type = IdType.AUTO)
    private Long messageTypeId;
    /**
     * 报文编码
     */
    private String messageCode;
    /**
     * 报文名称
     */
    private String messageName;
    /**
     * 报文分类
     */
    private String messageType;
    /**
     * 报文字段类型
     */
    private String messageClass;


}
