package com.muyu.car.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.car.domain.CarMessage;

import java.util.List;

public interface SysCarMessageService extends IService<CarMessage> {
    /**
     * 查询所有报文信息
     * @param templateId
     * @return
     */
    List<CarMessage> selectMessageShow(Long templateId);

    /**
     * 通过id查询报文信息
     * @param messageId
     * @return
     */
    CarMessage selectMessageByMessageId(Long messageId);
}
