package com.muyu.car.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.car.domain.CarMessage;
import com.muyu.car.domain.CarTemplate;
import com.muyu.car.mapper.SysCarMessageMapper;
import com.muyu.car.mapper.SysCarTemplateMapper;
import com.muyu.car.service.SysCarMessageService;
import com.muyu.car.service.SysCarTemplateService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SysCarTemplateServiceImpl extends ServiceImpl<SysCarTemplateMapper, CarTemplate> implements SysCarTemplateService {

    @Autowired
    private SysCarTemplateMapper sysCarTemplateMapper;
    /**
     * 查询所有报文信息
     * @return
     */
    @Override
    public List<CarTemplate> selectTemplateShow() {
        return sysCarTemplateMapper.selectTemplateShow();
    }

    /**
     * 通过id查询报文信息
     * @param templateId
     * @return
     */
    @Override
    public CarTemplate selectTemplateByTemplateId(Long templateId) {
        return sysCarTemplateMapper.selectById(templateId);
    }
}
