package com.muyu.warn.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.tags.Tag;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ClassName CarType
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/9/22 16:53
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Tag(name = "车辆类型表")
@TableName(value = "t_car_type")
public class CarType {

    /**
     * 车辆类型id
     */
    private Integer carTypeId;

    /**
     * 车辆类型名称
     */
    private String carTypeName;

    /**
     * 模板id
     */
    private Integer templateId;


}
