package com.muyu.warn.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.warn.domain.Resp.WarnStrategyList;
import com.muyu.warn.domain.WarnStrategy;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 预警策略Mapper接口
 *
 * @author muyu
 * @date 2024-09-20
 */
@Mapper
public interface WarnStrategyMapper extends BaseMapper<WarnStrategy>{

    List<WarnStrategyList> strategyList(WarnStrategy warnStrategy);
}
