package com.muyu.warn.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.warn.domain.CarType;
import com.muyu.warn.mapper.CarTypeMapper;
import com.muyu.warn.service.CarTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @ClassName CarServiceImpl
 * @Description 描述
 * @Author YiBo.Liu
 * @Date 2024/9/22 16:52
 */
@Service
public class CarTypeTypeServiceImpl
        extends ServiceImpl<CarTypeMapper, CarType>
        implements CarTypeService {

    @Autowired
    private CarTypeMapper carTypeMapper;

    @Override
    public CarType findById(Integer catTypeId) {
        CarType carType=  carTypeMapper.findById(catTypeId);
        return carType;
    }
}
