package com.muyu.car.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
@TableName(value = "t_company")
public class CarCompany {
    /**
     * 企业表
     */
    @TableId(value = "company_id",type = IdType.AUTO)
    private Long companyId;
    /**
     * 企业名称
     */
    private String companyName;
}
